Upsert deployment product config
curl --request PUT \
--url https://api.example.com/api/agent/deployments/{deploymentId}/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": 123,
"ai": {
"legacy_allow_openai_code_sharing": true,
"enabled": true,
"send_patch_emails": true,
"allowed_providers": [
"<string>"
]
},
"sast": {
"enabled": true,
"human_autofix_enabled": true,
"ai_autofix": {
"enabled": true,
"min_confidence": 123
},
"ai_autotriage": {
"enabled": true,
"hide_false_positive_comments": true,
"send_to_scm_comments": true,
"send_to_slack": true
},
"ai_detection": {
"enabled": true
},
"autofix_pr_enabled": true
},
"sca": {
"enabled": true,
"blockPrEnabled": true,
"prCommentsEnabled": true,
"maliciousDependencyAdvisoriesEnabled": true,
"upgradeGuidanceEnabled": true,
"malwareFirewallEnabled": true
},
"secrets": {
"enabled": true,
"global_validation_state_policy": {
"error": "<string>",
"invalid": "<string>"
},
"historical_scan": {
"enabled": true
},
"generic_secrets": {
"enabled": true
}
},
"approversTag": "<string>",
"hasDeveloperTriage": true
}
'import requests
url = "https://api.example.com/api/agent/deployments/{deploymentId}/products"
payload = {
"deploymentId": 123,
"ai": {
"legacy_allow_openai_code_sharing": True,
"enabled": True,
"send_patch_emails": True,
"allowed_providers": ["<string>"]
},
"sast": {
"enabled": True,
"human_autofix_enabled": True,
"ai_autofix": {
"enabled": True,
"min_confidence": 123
},
"ai_autotriage": {
"enabled": True,
"hide_false_positive_comments": True,
"send_to_scm_comments": True,
"send_to_slack": True
},
"ai_detection": { "enabled": True },
"autofix_pr_enabled": True
},
"sca": {
"enabled": True,
"blockPrEnabled": True,
"prCommentsEnabled": True,
"maliciousDependencyAdvisoriesEnabled": True,
"upgradeGuidanceEnabled": True,
"malwareFirewallEnabled": True
},
"secrets": {
"enabled": True,
"global_validation_state_policy": {
"error": "<string>",
"invalid": "<string>"
},
"historical_scan": { "enabled": True },
"generic_secrets": { "enabled": True }
},
"approversTag": "<string>",
"hasDeveloperTriage": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: 123,
ai: {
legacy_allow_openai_code_sharing: true,
enabled: true,
send_patch_emails: true,
allowed_providers: ['<string>']
},
sast: {
enabled: true,
human_autofix_enabled: true,
ai_autofix: {enabled: true, min_confidence: 123},
ai_autotriage: {
enabled: true,
hide_false_positive_comments: true,
send_to_scm_comments: true,
send_to_slack: true
},
ai_detection: {enabled: true},
autofix_pr_enabled: true
},
sca: {
enabled: true,
blockPrEnabled: true,
prCommentsEnabled: true,
maliciousDependencyAdvisoriesEnabled: true,
upgradeGuidanceEnabled: true,
malwareFirewallEnabled: true
},
secrets: {
enabled: true,
global_validation_state_policy: {error: '<string>', invalid: '<string>'},
historical_scan: {enabled: true},
generic_secrets: {enabled: true}
},
approversTag: '<string>',
hasDeveloperTriage: true
})
};
fetch('https://api.example.com/api/agent/deployments/{deploymentId}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"products": {
"ai": {
"legacy_allow_openai_code_sharing": true,
"enabled": true,
"send_patch_emails": true,
"allowed_providers": [
"<string>"
]
},
"sast": {
"enabled": true,
"human_autofix_enabled": true,
"ai_autofix": {
"enabled": true,
"min_confidence": 123
},
"ai_autotriage": {
"enabled": true,
"hide_false_positive_comments": true,
"send_to_scm_comments": true,
"send_to_slack": true
},
"ai_detection": {
"enabled": true
},
"autofix_pr_enabled": true
},
"sca": {
"enabled": true,
"blockPrEnabled": true,
"prCommentsEnabled": true,
"maliciousDependencyAdvisoriesEnabled": true,
"upgradeGuidanceEnabled": true,
"malwareFirewallEnabled": true
},
"secrets": {
"enabled": true,
"global_validation_state_policy": {
"error": "<string>",
"invalid": "<string>"
},
"historical_scan": {
"enabled": true
},
"generic_secrets": {
"enabled": true
}
},
"approversTag": "<string>",
"hasDeveloperTriage": true
}
}Deployment Products
Upsert deployment product config
Create or update the product configuration for a deployment
PUT
/
api
/
agent
/
deployments
/
{deploymentId}
/
products
Upsert deployment product config
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Body
application/json
Response
200 - application/json
OK
Regular product configuration types
Show child attributes
Show child attributes
Was this page helpful?
⌘I